=== debian/changelog ===
pandoc (2.9.2.1-3ubuntu2) jammy; urgency=medium

  * No-change rebuild against libcmark-gfm0.29.0.gfm.3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 21 Mar 2022 00:05:24 +0000

pandoc (2.9.2.1-3ubuntu1) jammy; urgency=medium

  * Merge with Debian unstable (LP: #1959576). Remaining changes:
    - d/rules: Disable optimization on riscv.
    - d/rules: add arm64 back to the list of low memory builds.

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Mon, 31 Jan 2022 19:04:12 +0530

pandoc (2.9.2.1-3) unstable; urgency=medium

  * simple rebuild to link against current libcmark
    (see bug#1003964)

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 19 Jan 2022 09:58:08 +0100

pandoc (2.9.2.1-2) unstable; urgency=medium

  * fix modernize path to katex;
    build-depend on libjs-katex (not node-katex)
  * declare compliance with Debian Policy 4.6.0
  * update copyright info:
    + use Reference field (not License-Reference);
      tighten lintian overrides
    + update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 13 Jan 2022 21:19:10 +0100

pandoc (2.9.2.1-1ubuntu4) impish; urgency=medium

  * No-change rebuild for libffi soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 11 Sep 2021 07:01:41 +0200

pandoc (2.9.2.1-1ubuntu3) hirsute; urgency=medium

  * No-change rebuild for new GHC ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Oct 2020 20:58:42 +0000

pandoc (2.9.2.1-1ubuntu2) groovy; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 06 Sep 2020 09:16:48 +0200

pandoc (2.9.2.1-1ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/rules: Disable optimization on riscv.
    - debian/rules: add arm64 back to the list of low memory builds

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 29 Aug 2020 16:26:15 -0700

pandoc (2.9.2.1-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update package relations:
    + tighten GHC lower bounds
      for doclayout jira-wiki-markup skylighting
      skylighting-core texmath
    + relax GHC upper bounds
      for doclayout jira-wiki-markup
    Closes: bug#968882, thanks to Adrian Bunk
  * update long descriptions: add new reader CSV
  * unfuzz patches
  * copyright: update coverage
  * add patch cherry-picked upstream
    to revert dependency on base-noprelude
  * fix stop annotate Multi-Arch: same
    for libghc-pandoc-dev libghc-pandoc-prof

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 23 Aug 2020 10:24:33 +0200

pandoc (2.9.1.1-3ubuntu4) groovy; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 14 Aug 2020 23:45:54 +0200

pandoc (2.9.1.1-3ubuntu3) groovy; urgency=medium

  * Really apply the change from the previous entry

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 05 Aug 2020 16:38:10 +0200

pandoc (2.9.1.1-3ubuntu2) groovy; urgency=medium

  * debian/rules: add arm back to the list of low memory builds

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 05 Aug 2020 13:43:27 +0200

pandoc (2.9.1.1-3ubuntu1) groovy; urgency=medium

  * Resynchronize on Debian, remaining changes
  * debian/rules:
    - Disable optimization on riscv.

 -- Sebastien Bacher <seb128@debian.org>  Tue, 04 Aug 2020 17:10:56 +0200

pandoc (2.9.1.1-3) unstable; urgency=medium

  * tune build for weak targets:
    + revert to C option ggc-min-expand=10
    + include hppa as a weak target
    + add C option -O0
    really closes: bug#965121, thanks (also) to Adrian Bunk

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 30 Jul 2020 15:31:00 +0200

pandoc (2.9.1.1-2) unstable; urgency=medium

  * reduce compile-time memory utilization on armel and armhf
    (in addition to mips and mipsel),
    and reduce further
    (begin garbage-collect at 5% memory utilization not 10%);
    closes: bug#965121, thanks to Sebastian Ramacher

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 16 Jul 2020 17:13:21 +0200

pandoc (2.9.1.1-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * fix provide virtual pandoc-abi-*
  * annotate binary package pandoc-dev as Multi-Arch: same
  * drop patch cherry-picked upstream since applied
  * copyright: update coverage
  * update long descriptions:
    + add new reader: Kira markup
  * fix provide virtual pandoc-abi

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 14 Jul 2020 12:44:35 +0200

pandoc (2.8.1-2) unstable; urgency=medium

  * fix typo in previous changelog entry
  * declare compliance with Debian Policy 4.5.0
  * mention citation-style-language-styles in README.Debian
    (not only in long description)
  * fix update -doc build-dependencies
  * annotate binary package pandoc-doc as Multi-Arch: foreign;
    annotate binary package pandoc-prof as Multi-Arch: same
  * drop NEWS older than oldstable

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 14 Jul 2020 11:29:37 +0200

pandoc (2.8.1-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)
    closes: bug#927689, #964822, #959851

  [ Jonas Smedegaard ]
  * fix typo in previous changelog entry
  * suggest citation-style-language-styles;
    mention when suitable to use
    in long description of binary package pandoc
  * provide virtual package pandoc-abi,
    versioned based on pandoc-types upstream version;
    see bug#962715
  * drop patches cherry-picked upstream since applied
  * unfuzz and update patches
  * update package relations:
    + add GHC for attoparsec doclayout hslua-module-system
      skylighting-core text-conversions
    + tighten GHC lower bounds
      for cmark-gfm haddock-library hsyaml pandoc-types
      skylighting texmath
    + relax GHC upper bounds
      for diff cmark-gfm glob haddock-library hsyaml http-client
      pandoc-types quickcheck2 skylighting texmath
  * update long descriptions:
    + add new readers: DokuWiki markup, ipynb (Jupyter notebooks)
    + add new writers: XWiki, Jira, ipynb
  * copyright: update coverage


