=== debian/control ===
Source: pandoc
Section: text
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Haskell Group <debian-haskell@lists.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
 , Kiwamu Okabe <kiwamu@debian.or.jp>
 , Clint Adams <clint@debian.org>
Build-Depends: cdbs,
 debhelper,
 dh-buildinfo,
 ghc,
 ghc-prof,
 alex,
 happy,
 libghc-aeson-dev (<< 1.5),
 libghc-aeson-prof,
 libghc-aeson-pretty-dev (>= 0.8.5),
 libghc-aeson-pretty-dev (<< 0.9),
 libghc-aeson-pretty-prof,
 libghc-attoparsec-dev (<< 0.14),
 libghc-attoparsec-prof,
 libghc-base64-bytestring-dev (<< 1.1),
 libghc-base64-bytestring-prof,
 libghc-blaze-html-dev (>= 0.9),
 libghc-blaze-html-dev (<< 0.10),
 libghc-blaze-html-prof,
 libghc-blaze-markup-dev (>= 0.8),
 libghc-blaze-markup-dev (<< 0.9),
 libghc-blaze-markup-prof,
 libghc-case-insensitive-dev (>= 1.2),
 libghc-case-insensitive-dev (<< 1.3),
 libghc-case-insensitive-prof,
 libghc-cmark-gfm-dev (>= 0.2),
 libghc-cmark-gfm-dev (<< 0.3),
 libghc-cmark-gfm-prof,
 libghc-data-default-dev (<< 0.8),
 libghc-data-default-prof,
 libghc-doclayout-dev (>= 0.3),
 libghc-doclayout-dev (<< 0.4),
 libghc-doclayout-prof,
 libghc-doctemplates-dev (>= 0.8),
 libghc-doctemplates-dev (<< 0.9),
 libghc-doctemplates-prof,
 libghc-emojis-dev (<< 0.2),
 libghc-emojis-prof,
 libghc-exceptions-dev (>= 0.8),
 libghc-exceptions-dev (<< 0.11),
 libghc-exceptions-prof,
 libghc-glob-dev (<< 0.11),
 libghc-glob-prof,
 libghc-haddock-library-dev (>= 1.8),
 libghc-haddock-library-dev (<< 1.9),
 libghc-haddock-library-prof,
 libghc-hslua-dev (>= 1.0.1),
 libghc-hslua-dev (<< 1.1),
 libghc-hslua-prof,
 libghc-hslua-module-system-dev (>= 0.2),
 libghc-hslua-module-system-dev (<< 0.3),
 libghc-hslua-module-system-prof,
 libghc-hslua-module-text-dev (>= 0.2),
 libghc-hslua-module-text-dev (<< 0.3),
 libghc-hslua-module-text-prof,
 libghc-hsyaml-dev (>= 0.2),
 libghc-hsyaml-dev (<< 0.3),
 libghc-hsyaml-prof,
 libghc-http-dev (<< 1:4000.4),
 libghc-http-prof,
 libghc-http-client-dev (>= 0.4.30),
 libghc-http-client-dev (<< 0.7),
 libghc-http-client-prof,
 libghc-http-client-tls-dev (>= 0.2.4),
 libghc-http-client-tls-dev (<< 0.4),
 libghc-http-client-tls-prof,
 libghc-http-types-dev (<< 0.13),
 libghc-http-types-prof,
 libghc-ipynb-dev (<< 0.2),
 libghc-ipynb-prof,
 libghc-jira-wiki-markup-dev (>= 1.1),
 libghc-jira-wiki-markup-dev (<< 1.2),
 libghc-jira-wiki-markup-prof,
 libghc-juicypixels-dev (<< 3.4),
 libghc-juicypixels-prof,
 libghc-network-dev (>= 2.6),
 libghc-network-prof,
 libghc-network-uri-dev (<< 2.7),
 libghc-network-uri-prof,
 libghc-pandoc-types-dev (>= 1.20),
 libghc-pandoc-types-dev (<< 1.21),
 libghc-pandoc-types-prof,
 libghc-random-dev (<< 1.2),
 libghc-random-prof,
 libghc-safe-dev (<< 0.4),
 libghc-safe-prof,
 libghc-scientific-dev (<< 0.4),
 libghc-scientific-prof,
 libghc-sha-dev (<< 1.7),
 libghc-sha-prof,
 libghc-skylighting-dev (>= 0.8.3.2),
 libghc-skylighting-dev (<< 0.9),
 libghc-skylighting-prof,
 libghc-skylighting-core-dev (>= 0.8.3.2),
 libghc-skylighting-core-dev (<< 0.9),
 libghc-skylighting-core-prof,
 libghc-split-dev (<< 0.3),
 libghc-split-prof,
 libghc-syb-dev (<< 0.8),
 libghc-syb-prof,
 libghc-tagsoup-dev (>= 0.14.6),
 libghc-tagsoup-dev (<< 0.15),
 libghc-tagsoup-prof,
 libghc-temporary-dev (<< 1.4),
 libghc-temporary-prof,
 libghc-texmath-dev (>= 0.12.0.1),
 libghc-texmath-dev (<< 0.13),
 libghc-texmath-prof,
 libghc-text-conversions-dev (<< 0.4),
 libghc-text-conversions-prof,
 libghc-unicode-transforms-dev (<< 0.4),
 libghc-unicode-transforms-prof,
 libghc-unordered-containers-dev (<< 0.3),
 libghc-unordered-containers-prof,
 libghc-vector-dev (<< 0.13),
 libghc-vector-prof,
 libghc-xml-dev (<< 1.4),
 libghc-xml-prof,
 libghc-zip-archive-dev (<< 0.5),
 libghc-zip-archive-prof,
 libghc-zlib-dev (<< 0.7),
 libghc-zlib-prof,
 libghc-diff-dev (<< 0.5),
 libghc-executable-path-dev (<< 0.1),
 libghc-quickcheck2-dev (<< 2.14),
 libghc-tasty-dev (>= 0.11),
 libghc-tasty-dev (<< 1.3),
 libghc-tasty-golden-dev (>= 2.3),
 libghc-tasty-golden-dev (<< 2.4),
 libghc-tasty-hunit-dev (<< 0.11),
 libghc-tasty-lua-dev (<< 0.3),
 libghc-tasty-quickcheck-dev (<< 0.11),
 haskell-devscripts,
 bash-completion
Build-Depends-Indep: ghc-doc,
 libghc-aeson-doc,
 libghc-aeson-pretty-doc,
 libghc-ansi-terminal-doc,
 libghc-asn1-encoding-doc,
 libghc-asn1-parse-doc,
 libghc-asn1-types-doc,
 libghc-async-doc,
 libghc-attoparsec-doc,
 libghc-base-compat-batteries-doc,
 libghc-base-compat-doc,
 libghc-base-orphans-doc,
 libghc-base16-bytestring-doc,
 libghc-base64-bytestring-doc,
 libghc-basement-doc,
 libghc-bitarray-doc,
 libghc-blaze-builder-doc,
 libghc-blaze-html-doc,
 libghc-blaze-markup-doc,
 libghc-case-insensitive-doc,
 libghc-cereal-doc,
 libghc-cmark-gfm-doc,
 libghc-colour-doc,
 libghc-connection-doc,
 libghc-cookie-doc,
 libghc-cryptonite-doc,
 libghc-data-default-class-doc,
 libghc-data-default-doc,
 libghc-data-default-instances-containers-doc,
 libghc-data-default-instances-dlist-doc,
 libghc-data-default-instances-old-locale-doc,
 libghc-digest-doc,
 libghc-dlist-doc,
 libghc-doclayout-doc,
 libghc-doctemplates-doc,
 libghc-emojis-doc,
 libghc-errors-doc,
 libghc-exceptions-doc,
 libghc-glob-doc,
 libghc-haddock-library-doc,
 libghc-hashable-doc,
 libghc-hourglass-doc,
 libghc-hslua-doc,
 libghc-hslua-module-text-doc,
 libghc-hslua-module-system-doc,
 libghc-hsyaml-doc,
 libghc-http-doc,
 libghc-http-client-doc,
 libghc-http-client-tls-doc,
 libghc-http-types-doc,
 libghc-hxt-charproperties-doc,
 libghc-hxt-doc,
 libghc-hxt-regex-xmlschema-doc,
 libghc-hxt-unicode-doc,
 libghc-integer-logarithms-doc,
 libghc-ipynb-doc,
 libghc-jira-wiki-markup-doc,
 libghc-juicypixels-doc,
 libghc-memory-doc,
 libghc-mime-types-doc,
 libghc-network-doc,
 libghc-network-uri-doc,
 libghc-old-locale-doc,
 libghc-pandoc-types-doc,
 libghc-pem-doc,
 libghc-primitive-doc,
 libghc-quickcheck2-doc,
 libghc-random-doc,
 libghc-regex-base-doc,
 libghc-regex-pcre-doc,
 libghc-safe-doc,
 libghc-scientific-doc,
 libghc-sha-doc,
 libghc-skylighting-core-doc,
 libghc-skylighting-doc,
 libghc-socks-doc,
 libghc-split-doc,
 libghc-splitmix-doc,
 libghc-streaming-commons-doc,
 libghc-syb-doc,
 libghc-tagged-doc,
 libghc-tagsoup-doc,
 libghc-temporary-doc,
 libghc-texmath-doc,
 libghc-text-conversions-doc,
 libghc-th-abstraction-doc,
 libghc-time-compat-doc,
 libghc-tls-doc,
 libghc-transformers-compat-doc,
 libghc-unicode-transforms-doc,
 libghc-unordered-containers-doc,
 libghc-utf8-string-doc,
 libghc-uuid-types-doc,
 libghc-vector-doc,
 libghc-x509-doc,
 libghc-x509-store-doc,
 libghc-x509-system-doc,
 libghc-x509-validation-doc,
 libghc-xml-doc,
 libghc-yaml-doc,
 libghc-zip-archive-doc,
 libghc-zlib-doc,
Standards-Version: 4.5.0
Homepage: https://pandoc.org/
Vcs-Git: https://salsa.debian.org/haskell-team/pandoc.git
Vcs-Browser: https://salsa.debian.org/haskell-team/pandoc
Rules-Requires-Root: no

Package: pandoc
Architecture: any
Depends: ${cdbs:Depends}
 , ${misc:Depends}
 , ${shlibs:Depends}
 , pandoc-data (>= ${source:Version})
 , pandoc-data (<< ${source:Version}.~)
Recommends: ${cdbs:Recommends}
Suggests: ${cdbs:Suggests}
Provides:
 pandoc-abi (= ${pandoc:Abi}),
Multi-Arch: foreign
Description: general markup converter
 Pandoc is a Haskell library for converting
 from one markup format to another,
 and a command-line tool that uses this library.
 It can read several dialects of Markdown and (subsets of) HTML,
 reStructuredText, LaTeX, DocBook,
 JATS, MediaWiki markup, DokuWiki markup, TWiki markup, TikiWiki markup,
 Jira markup, Creole 1.0,
 Haddock markup, OPML, Emacs Org-mode, Emacs Muse,
 txt2tags, ipynb (Jupyter notebooks), Vimwiki,
 Word Docx, ODT, EPUB, FictionBook2,
 roff man, Textile, and CSV,
 and it can write Markdown, reStructuredText, XHTML, HTML 5,
 LaTeX (including rendering as plain PDF or beamer slide shows),
 ConTeXt, DocBook, JATS, OPML, TEI,
 OpenDocument, ODT, Word docx, PowerPoint pptx, RTF,
 MediaWiki, DokuWiki, XWiki, ZimWiki,
 Textile, Jira, roff man, roff ms, GNU Texinfo,
 plain text, Emacs Org-Mode, AsciiDoc, Haddock markup,
 EPUB (v2 and v3), ipynb, FictionBook2, InDesign ICML,
 Muse, LaTeX beamer slides, PowerPoint,
 and several kinds of HTML/javaScript slide shows
 (S5, Slidy, Slideous, DZSlides, reveal.js).
 .
 In contrast to most existing tools for converting Markdown to HTML,
 pandoc has a modular design:
 it consists of a set of readers, which parse text in a given format
 and produce a native representation of the document,
 and a set of writers,
 which convert this native representation into a target format.
 Thus,
 adding an input or output format requires only adding a reader or writer.
 .
 This package contains the pandoc tool.
 .
 Some uses of Pandoc require additional packages:
  * SVG content in PDF output requires librsvg2-bin.
  * YAML metadata in TeX-related output requires texlive-latex-extra.
  * *.hs filters not set executable requires ghc.
  * *.js filters not set executable requires nodejs.
  * *.php filters not set executable requires php.
  * *.pl filters not set executable requires perl.
  * *.py filters not set executable requires python.
  * *.rb filters not set executable requires ruby.
  * *.r filters not set executable requires r-base-core.
  * LaTeX output, and PDF output via PDFLaTeX,
    require texlive-latex-recommended.
  * XeLaTeX output, and PDF output via XeLaTeX, require texlive-xetex.
  * LuaTeX output, and PDF output via LuaTeX, require texlive-luatex.
  * ConTeXt output, and PDF output via ConTeXt, require context.
  * PDF output via wkhtmltopdf requires wkhtmltopdf.
  * Roff man and roff ms output, and PDF output via roff ms,
    require groff.
  * MathJax-rendered equations require libjs-mathjax.
  * KaTeX-rendered equations require node-katex.
  * option --csl may use styles in citation-style-language-styles.

Package: pandoc-data
Architecture: all
Depends: ${cdbs:Depends}
 , ${misc:Depends}
Recommends: ${cdbs:Recommends}
Suggests: ${cdbs:Suggests}
Multi-Arch: foreign
Description: general markup converter - data files
 Pandoc is a Haskell library for converting
 from one markup format to another,
 and a command-line tool that uses this library.
 It can read several dialects of Markdown and (subsets of) HTML,
 reStructuredText, LaTeX, DocBook,
 JATS, MediaWiki markup, DokuWiki markup, TWiki markup, TikiWiki markup,
 Jira markup, Creole 1.0,
 Haddock markup, OPML, Emacs Org-mode, Emacs Muse,
 txt2tags, ipynb (Jupyter notebooks), Vimwiki,
 Word Docx, ODT, EPUB, FictionBook2,
 roff man, Textile, and CSV,
 and it can write Markdown, reStructuredText, XHTML, HTML 5,
 LaTeX (including rendering as plain PDF or beamer slide shows),
 ConTeXt, DocBook, JATS, OPML, TEI,
 OpenDocument, ODT, Word docx, PowerPoint pptx, RTF,
 MediaWiki, DokuWiki, XWiki, ZimWiki,
 Textile, Jira, roff man, roff ms, GNU Texinfo,
 plain text, Emacs Org-Mode, AsciiDoc, Haddock markup,
 EPUB (v2 and v3), ipynb, FictionBook2, InDesign ICML,
 Muse, LaTeX beamer slides, PowerPoint,
 and several kinds of HTML/javaScript slide shows
 (S5, Slidy, Slideous, DZSlides, reveal.js).
 .
 In contrast to most existing tools for converting Markdown to HTML,
 pandoc has a modular design:
 it consists of a set of readers, which parse text in a given format
 and produce a native representation of the document,
 and a set of writers,
 which convert this native representation into a target format.
 Thus,
 adding an input or output format requires only adding a reader or writer.
 .
 This package contains the data files for pandoc.

Package: libghc-pandoc-dev
Section: haskell
Architecture: any
Depends: ${cdbs:Depends}
 , ${haskell:Depends}
 , ${haskell:Extra-Depends}
 , ${misc:Depends}
 , ${shlibs:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: general markup converter - libraries
 Pandoc is a Haskell library for converting
